Subject: Draft Liaison to ITU-T Q14/15 on GMPLS Calls

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 24 Apr 2007 11:25:09 +0100

Hi,

Here is the first of the draft liaisons for your review.

Comments (positive or constructive) by 1st May, please.

Thanks,
Adrian and Deborah

===
To: ITU-T Q14/15
From: IETF CCAMP Working Group
Cc: Stephen Trowbridge, Kam Lam, Scott Bradner, Dave Ward, 
    Ross Callon, 
CCAMP Working Group
Subject: GMPLS Calls
For Information

The IETF's CCAMP Working Group thanks you for your liaison
entitled "Liaison Statement to CCAMP regarding work on 
calls and Vcat/LCAS" issued from your Darmstadt interim
meeting in March 2007.

Our liaison to you and copied to Q11/15 "VCAT/LCAS Work in
CCAMP" dated 4th April 2007 responded to the points raised
with respect to VCAT and LCAS. This liaison is to respond
to the remaining points with respect to GMPLS Calls.

At the time of your liaison, our Internet-Draft, 
draft-ietf-ccamp-gmpls-rsvp-te-call-04.txt "Generalized
MPLS (GMPLS) RSVP-TE Signaling Extensions in support of
Calls", was already well advanced through the approval 
process to become an RFC. The draft has subsequently been 
approved for publication as an RFC and is awaiting formal
publication by the RFC Editor. It was, therefore, too late
at the time of your request for us to liaise this document
to you for review prior to publication.

Although your review is always valuable, in this instance, 
it was not a necessity. draft-ietf-ccamp-gmpls-rsvp-te-call
defines mechanisms for use in GMPLS networks to establish 
and maintain calls, and to associate LSPs (connections) 
with those calls. These call mechanisms are general, 
and no ASON application specific procedures are specified.
It is anticipated that new Internet-Drafts will be written
by interested parties to define application-specific call
procedures and protocol extensions (if needed). A first
example of this can be seen in draft-ietf-ccamp-gmpls-vcat-
lcas "Operating Virtual Concatenation (VCAT) and  the Link 
Capacity Adjustment Scheme (LCAS) with Generalized Multi-
Protocol Label Switching (GMPLS)".

You note that section 2.1 of the draft says:

   [RFC4139] details the requirements on GMPLS signaling to
   satisfy the ASON architecture described in [G.8080]. The
   mechanisms described in this document meet the
   requirements for Calls as described in Sections 4.2 and
   4.3 of [RFC4139] and the additional Call-related
   requirements in Sections 4.4, 4.7, 5 and 6 of [RFC4139].

   [ASON-APPL] describes the applicability of GMPLS 
   protocols to the ASON architecture."

We consider that it will be essential to get your review of
this referenced draft ([ASON-APPL]) that will set out the 
applicability, procedures, and any protocol extensions 
necessary for the use of these generic GMPLS Call
mechanisms in the ASON environment.

The referenced draft is currently in abeyance. A new
version describing how to meet the requirements of ASON
signaling using GMPLS protocols and mechanisms will be 
produced if there is interest from within the community. If
such a draft is produced, you may be sure that we will 
liaise it to you for your comments and opinions.

We would, nevertheless, welcome any comments or questions
that you have after reading the approved document. 
Questions may be sent directly to the CCAMP mailing list or
raised through a formal liaison.

Best regards,
Adrian Farrel and Deborah Brungard
IETF CCAMP Working Group Co-Chairs